{{ ansible_managed | comment }}
[Unit]
Description=Formulary Automated Provisioning
Wants=network-online.target
After=network-online.target
ConditionPathExists=/opt/ansible/.local/bin/ansible
ConditionPathExists={{ ansible_pull_requirements_file }}

[Service]
User=ansible
Group=ansible
ExecStartPre=/bin/bash -c '/opt/ansible/.local/bin/ansible-galaxy collection install -r {{ ansible_pull_requirements_file }}'
ExecStart=/bin/bash /usr/local/bin/provision.sh

[Install]
WantedBy=multi-user.target
